Switching cameras on Wiin8.1 Tablet using CameraComponent

Is anyone having issues switching front and back cameras  using the CameraComponent?


I have a combobox change event below that switches the camera from front to back depending on the item index (or should :-) )

procedure TfrmMain.cbCameraKindChange(Sender: TObject);
var
 bPrevState : boolean;

begin
  bPrevState := CameraComponent1.Active;
  CameraComponent1.Active := False;

  case cbCameraKind.ItemIndex of
    1 :  CameraComponent1.Kind := FMX.Media.TCameraKind.BackCamera
    else CameraComponent1.Kind := FMX.Media.TCameraKind.FrontCamera;
  end;
  CameraComponent1.Active := bPrevState;
end;


Testing on a Linx8 the camera feeds only from the front camera and on a Surface3 feeds only from the rear camera

On both devices, using the native Camera app,  flips between front and back cameras with no problem

Currently using XE8 with Subscription Update 1, be had the same issue with XE8 and XE7
0
Emmanuel
7/18/2015 8:49:02 PM
embarcadero.delphi.firemonkey 4901 articles. 4 followers. Follow

0 Replies
848 Views

Similar Articles

[PageSpeed] 33
Get it on Google Play
Get it on Apple App Store

Reply:

Similar Artilces:

i used to use vbCommenter on 1.1, what i suppost to use in 2.0 ???
Hi...What's the best way to document the project on asp.net 2.0 ?? is there a new version of vbCommenter ??tks not sure if its the same thing (i know nothing about vbcommenter), but one kick ass thing that VB.NET now does is allow you to "comment" a function or subroutine..right click on the declaration line for the routine and choose "Insert comment"....  you'll see it gives you sections for description, paramters, and output..  anything put in those tags will show up in Intellisense when you use that code in other parts of the application"If you make it idiot proof, they&#...

superreview requested: [Bug 278821] Access key conflict in Preferences->Advanced->HTTP Networking: both Use HTTP 1.1 and Help use 'H' : [Attachment 171622] Fixed accesskey for Use HTTP 1.1 (H -> E).
Giacomo Magnini <giacomo.magnini@portalis.it> has asked neil@parkwaycc.co.uk <neil.parkwaycc.co.uk@myrealbox.com> for superreview: Bug 278821: Access key conflict in Preferences->Advanced->HTTP Networking: both Use HTTP 1.1 and Help use 'H' https://bugzilla.mozilla.org/show_bug.cgi?id=278821 Attachment 171622: Fixed accesskey for Use HTTP 1.1 (H -> E). For visibility reasons, I've also changed 2 other accesskeys: Enable Keep-Alive (L -> A) and Enable Pipelining (I -> N) https://bugzilla.mozilla.org/attachment.cgi?id=171622&action=edit ...

superreview granted: [Bug 278821] Access key conflict in Preferences->Advanced->HTTP Networking: both Use HTTP 1.1 and Help use 'H' : [Attachment 171622] Fixed accesskey for Use HTTP 1.1 (H -> E). Fo
neil@parkwaycc.co.uk <neil.parkwaycc.co.uk@myrealbox.com> has granted Giacomo Magnini <giacomo.magnini@portalis.it>'s request for superreview: Bug 278821: Access key conflict in Preferences->Advanced->HTTP Networking: both Use HTTP 1.1 and Help use 'H' https://bugzilla.mozilla.org/show_bug.cgi?id=278821 Attachment 171622: Fixed accesskey for Use HTTP 1.1 (H -> E). For visibility reasons, I've also changed 2 other accesskeys: Enable Keep-Alive (L -> A) and Enable Pipelining (I -> N) https://bugzilla.mozilla.org/attachment.cgi?id=171622&ac...

Install 1.0 and 1.1 side-by-side and use the 1.1 csc to compile a 1.0
Hi, I have the following (tricky) questions: 1. Can I install the 1.0 and 1.1 .NET Framework side-by-side with NO drawbacks on MY PC where I develop the .NET applications? (I do NOT use VS.NET) 2. After installing the 1.1 version, am I STILL ABLE to compile a 1.0 version, since our production web-server still runs on 1.0 (our development web-server was upgraded to 1.1) ?? thx Eau .... as long as you compile DLLs with the right csc.exe/vbc.exe from 1.0 or 1.1 Free ASP.NET Version Switcher may interest you.DNN skins ForumTressleworks modulesDNN & webhostingIEWCtrls...

To use or not to use Delphi
Sadly, it seems to me that there is a sort of race between the two threads, for and against using Delphi in new projects, with more or less the same users posting in both threads. Arguments are fiercely debated in both camps. Borland had their own vision. As a community, now that Delphi has changed ownership I believe we should try to be more consistent, more clear, and more articulate in what we expect from Embercadero in terms of Delphi. We can contribute to keeping Delphi alive and moving in the right direction. "Laurent Cocea" schrieb: > Sadly, it seems to me that there ...

how to use browsercaps in web.config using asp.net 1.1
is it possible to use the browsercaps in web.config using asp.net 1.1? if not,plz tell me other way to  support for different browsers. (my site's design is seems perfect in IE,but in in mozilla it seems very horrible.).  ...

asp.net 1.1 , how to do use tab control in asp.net 1.1
AJAX provides following functionality to website, and I want to make something like this in my application. I m using asp.net 1.1 How can I do this.  Please click following link and see demo how AJAX does  ( you will get it what I mean by, thank you) http://www.asp.net/AJAX/AjaxControlToolkit/Samples/Tabs/Tabs.aspx  I want to make something like above like deom , how can I do that using asp.net 1.1 thank you in advance maxmax It is possible but there is not a simple solution. The more simple solution would be to convert your site to the 2.0 framework. If that ...

why to use 1)use CGI,2)use Strict ,3)use Carp in script
hi why we r using 1)use CGI, 2)use Strict, 3)use Carp in the begining of script sometimes. What is the use of it.Is the files CGI.pm,Strict.pm,Carp.pm default with PERL. Thnx __________________________________________________ Do You Yahoo!? Tired of spam? Yahoo! Mail has the best spam protection around http://mail.yahoo.com On Thu, 2004-11-04 at 09:31, supriya devburman wrote: > hi Hi > why we r using > 1)use CGI, We only use CGI when we want to use methods from that module (usually on web pages); see `perldoc CGI` for more information on what you...

SOAP 1.1 vs 1.2, which should I use?
Creating a new webservice, which SOAP version should I choose?  I can't seem to reach a conclusion on one over the other? The WS is pretty basic and it'll be running over HTTPS. Since you don't have to do anything in order to implement each, just allow both. That way, client's that know 1.2 will use 1.2 and client's that know only 1.1 (such as .net 1.1) will use the old version. ASP.NET WS support both by default - just look at the generated WSDL file. So there are no major differences then? read here: http://www.codeproject.com/KB/XML/soap12inNet20.aspx ...

IOS Setup in Delphi help
This message is in MIME format. Since your mail reader does not understand this format, some or all of this message may not be legible. --JivePart=_8d526.zeB8CwDOH5aMJzMl Content-Type: text/plain; charset="Utf-8" --JivePart=_8d526.zeB8CwDOH5aMJzMl Content-Type: application/msword; name="Create Profile for Delphi.doc" Content-Transfer-Encoding: base64 Content-Disposition: attachment; filename="Create Profile for Delphi.doc" 0M8R4KGxGuEAAAAAAAAAAAAAAAAAAAAAPgADAP7/CQAGAAAAAAAAAAAAAAAFAAAAbwIAAAAAAAAA EAAAcQIAAAEAAAD+////AAAAAGoCAABrAgAAbAIAAG...

Bookmarks no longer work after switching from SM 1.1.7 to SM 1.1.8
Greetings! The subject line says it all. While the bookmarks are shown exactly as they were before, clicking on them has no effect at all. Grateful for any help, as always! -- Charles Milton Ling Vienna, Austria On 08.02.2008 09:44 Charles Milton Ling spoke thusly: > Greetings! > > The subject line says it all. While the bookmarks are shown exactly as > they were before, clicking on them has no effect at all. > > Grateful for any help, as always! No problems here at all. Bookmarks work as they had. Win XP, SM1.1.8 Chris Garriss wrote: > ...

using Microsoft .NET Framework 1.0 and 1.1??
sorry if this is not the right forum, but i don't know where should i post this, well...i have no problem exactly right now, i just wonder that i'm using two version of .NET Framework 1.0 and 1.1. I get the .NET Framework 1.0 from Visual Studio .NET, which i installed the VB.NET and i get the 1.1 version because it says that ASP.NET requires 1.1 version so i download it in microsoft site. My question are, is this two version compatible? can i used only one version which is .NET Framework 1.1 only and remove the 1.0 version? I have Web Matrix that used .NET Framework 1.1 and VB.NET tha...

IIS should use .Net 1.0 instead of 1.1
How do I set IIS to use v1.0 of .Net Framework instead of v.1.1 for .aspx handling ? thanx check out MSDN Working with Multiple Versions of the .NET Framework or Specifying the Runtime Version for an Application or ASP.NET Side-by-Side Overview o.k. thanx...

Switching between 1.5.1 and 1.5.2 and back
Just a quick check before I try this out. Desktop IDE Question: If I need to switch back and forth between 1.5.1 and 1.5.2 and then back to 1.5.1, can I just replace the contents of \Program Files\Sybase\Pocket PowerBuilder 1.5? Or will I need to uninstall and re-install? Mark; I do this all the time with PB and PPB. Just copy the current folder "\Program Files\Sybase\Pocket PowerBuilder 1.5" and rename it to "\Program Files\Sybase\Pocket PowerBuilder 1.5_1.5.2" for example. Then install PPB 1.5.2. After that, just rename the current folder (PPB 1.5) to...

Web resources about - Switching cameras on Wiin8.1 Tablet using CameraComponent - embarcadero.delphi.firemonkey

HTC Posts Wider-Than-Estimated Quarterly Loss as Sales Slump
HTC Corp., Taiwan’s biggest smartphone maker, posted a third-quarter loss wider than analyst estimates as its handsets lost market share to devices ...

My gadget guilt: Inside the Foxconn iPhone factory
This is an iPhone factory in China. Seventeen of the company's workers have committed suicide. Is it our fault?

HTC Earnings Miss Estimates as One Handset Fails to Revive Sales
HTC Corp., the Taiwanese smartphone maker, posted second-quarter profit that missed analyst estimates as the release of its flagship One handset ...

Resources last updated: 11/27/2015 3:06:44 AM